import '../../common/values/sizes.dart';
import 'package:flutter/material.dart';

class ServerErrorPageWidget extends StatelessWidget {
  final Function onTap;
  ServerErrorPageWidget({required this.onTap});
  @override
  Widget build(BuildContext context) {
    return Container(
      width: double.infinity,
      height: double.infinity,
      color: Colors.white,
      child: InkWell(
        onTap: () => onTap(),
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: <Widget>[
            Container(
              width: Sizes.WIDTH_150,
            ),
            SizedBox(height: 10),
            Text(
              "Serve Error",
              style:
                  TextStyle(fontSize: Sizes.TEXT_SIZE_14, color: Colors.grey),
            ),
          ],
        ),
      ),
    );
  }
}
